### Method

# ECal ComponentId equal

since: 3.10

#### Declaration [src]

    gboolean
    e_cal_component_id_equal (
      gconstpointer id1,
      gconstpointer id2
    )

#### Description [src]

Compares two `ECalComponentId` structs for equality.

Available since: 3.10

#### Parameters

`id2`

  Type: `ECalComponentId`

  The second `ECalComponentId`.

#### Return value

Type: `gboolean`

`TRUE` if `id1` and `id2` are equal.